# classes/phing/types/DirSet.php

Subclass as hint for supporting tasks that the included directories instead of files should be used.

package
  phing.types

## \DirSet
jump to top

Subclass as hint for supporting tasks that the included directories instead of files should be used.

TODO: - merge this with patternsets: FileSet extends PatternSet !!! requires additional mods to the parsing algo [HL] .... not sure if that really makes so much sense. I think that perhaps they should use common utility class if there really is that much shared functionality

Extends from
  \AbstractFileSet
author
  Andreas Aderhold
author
  Hans Lellelid
package
  phing.types
version
  $Revision: 744 $ $Date: 2010-03-09 11:08:31 +0100 (Tue, 09 Mar 2010) $

### Methods

`__clone( ) :`
Return a DirSet that has the same basedir and same patternsets as this one.
`__construct( $dirset = null ) :`
Parameters

Name | Type | Description
--- | --- | ---
$dirset |  |

Documentation was generated by DocBlox 0.13.1.